PHP Manual
Prev |  | Next

# DOMNode->removeChild()

(no version information, might be only in CVS)

DOMNode->removeChild() -- Removes child from list of children

## Description

class DOMNode {
DOMNode removeChild ( DOMNode oldnode )
}

This functions removes a child from a list of children.

## Parameters

oldnode

  The removed child.

## Return Values

If the child could be removed the functions returns the old child.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if this node is readonly.

`DOM_NOT_FOUND`

  Raised if oldnode is not a child of this node.

## Examples

The following example will delete the chapter element of our XML document.

Example 1. Removing a child
`<?php $doc = new DOMDocument; $doc->load('book.xml'); $book = $doc->documentElement; // we retrieve the chapter and remove it from the book $chapter = $book->getElementsByTagName('chapter')->item(0); $oldchapter = $book->removeChild($chapter); echo $doc->saveXML(); ?>`
The above example will output:
    <?xml version="1.0" encoding="iso-8859-1"?>
    <!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <book id="listing">
     <title>My lists</title>

    </book>

## See Also

DOMNode->appendChild()
DOMNode->replaceChild()

Prev | Home | Next
DOMNode->normalize() | Up | DOMNode->replaceChild()